
From: Matt Porter <mporter@kernel.crashing.org>

This fixes the build on non cache coherent PPC32 platforms.


---

 25-akpm/arch/ppc/mm/cachemap.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc/mm/cachemap.c~ppc-cachemap-build-fix arch/ppc/mm/cachemap.c
--- 25/arch/ppc/mm/cachemap.c~ppc-cachemap-build-fix	2004-03-31 23:00:13.889845704 -0800
+++ 25-akpm/arch/ppc/mm/cachemap.c	2004-03-31 23:00:13.892845248 -0800
@@ -148,7 +148,7 @@ void consistent_sync(void *vaddr, size_t
 	case DMA_FROM_DEVICE:	/* invalidate only */
 		invalidate_dcache_range(start, end);
 		break;
-	case DMA_TODEVICE:		/* writeback only */
+	case DMA_TO_DEVICE:		/* writeback only */
 		clean_dcache_range(start, end);
 		break;
 	case DMA_BIDIRECTIONAL:	/* writeback and invalidate */

_
